html,body{
    height: auto;
    min-height: 100%;
}

body{
    background: url('assets/images/background.jpg');
    background-size: cover ;
    background-repeat:no-repeat;
    background-attachment: fixed;
    font-family: 'Poppins', sans-serif;
    height: 100%;
    color: #fff;
    font-weight: 300;
}

p{
    font-size: 0.95rem;
    line-height: 1.6;
}

.overlay {
    position: fixed;
    background-attachment: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* 20% opacity */
    z-index: 0;
    pointer-events: none;
}

.container{
    z-index: 10;
    position: relative;
}

.logo {
    display: block;
    margin : 20px auto 0 auto;
    height: 80px;
    width: auto;
}

.title{
    font-size: 34px;
    color: #FFA800;
    text-transform: uppercase;
    font-weight: 700;
}

.subtitle{
    font-size: 16px;
    color: #fff;
    text-transform: uppercase;
    font-weight: 300;
}

.brand-img{
    width: 100%;
    height: 71%;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    object-fit: cover;
}

.brand-item{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 33%;
    border: 0px solid transparent; /* Important: make border transparent so background shows */
    backdrop-filter: blur(10px);
    border: 1px solid rgba(255,255,255,.3);
    color: white;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    position: relative;
    border-radius: 12px;
    text-decoration: none;
    height: 150px;
}

.brand-item p{
    margin: 0;
    padding: 10px 0;
}

.glass-button {
    display: block;
    max-width: 300px;
    position: relative;
    padding: 15px 30px;
    border-radius: 12px;
    text-decoration: none;
    margin: 0 auto;
    background: 
      linear-gradient(-15deg, rgba(255, 255, 255, 0.02), rgba(255, 255, 255, 0.20)) padding-box, /* Button background */
      linear-gradient(15deg, rgba(255, 255, 255, 0.1), rgba(255, 59, 48, 0.1)) border-box; /* Gradient border */
    border: 4px solid transparent; /* Important: make border transparent so background shows */
    backdrop-filter: blur(10px);
    color: white;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
  
.glass-button:hover {
    background: 
      rgba(255, 255, 255, 0.2) padding-box,
      linear-gradient(15deg, rgba(255, 255, 255, 0.1), rgba(255, 59, 48, 0.1)) border-box;
    border: 4px solid transparent;
}

.carousel-item {
    padding-bottom: 50px;
    height: 520px;
}

#glassCarousel {
    margin-top: 24px;
    padding: 10px;
    border-radius: 30px;
    background: 
        linear-gradient(-15deg, rgba(255, 255, 255, 0.05), rgba(255, 255, 255, 0.1));
    border: 0px solid transparent;
    backdrop-filter: blur(10px);
    border:1px solid rgba(255,255,255,.2);
    color: white;
    text-align: center;
    max-width: 960px;
    margin-right: auto;
    margin-left: auto;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.brand-holder {
    display: flex;
    flex-wrap: wrap; /* Allow items to wrap onto the next line */
    gap: 8px; /* Adjust the space between items */
}

.brand-holder p{
    font-size: 12px;
    color: white;
}

.brand-holder > * {
    flex: 0 0 calc(33.33% - 7px); /* Default size for mobile (3 columns) */
}
  
  .carousel-indicators [data-bs-target] {
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: rgba(255, 255, 255, 0.5);
    margin: 0 5px;
    border: none;
    transition: background-color 0.3s;
  }

.carousel-indicators .active {
    background-color: #fff; /* Adjust the active indicator color */
}

.section-title {
    font-size:20px;
    font-weight:700;
    padding : 20px 0;
}

.verified-logo{
    margin-left:12px;
}

.section {
    background: linear-gradient(45deg, #000000, #0F0E24);
    padding : 48px 0 0 0;
    overflow: hidden;
    position: relative;
}

.section::before{
    content: "";
    position: absolute;
    top: -130px;
    right: -130px;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(14, 3, 221, 0.15) 0%, rgba(255, 107, 0, 0) 70%);
    z-index: 0;
}

.section::after{
    content: "";
    position: absolute;
    bottom: -130px;
    left: -130px;
    width: 400px;
    height: 400px;
    background: radial-gradient(circle, rgba(221, 3, 67, 0.2) 0%, rgba(255, 107, 0, 0) 70%);
    z-index: 0;
}

.section p{
    color: rgba(255,255,255,.7);
}

.section .title{
    font-size : 32px;
    text-align: center;
}

.section .subtitle{
    font-size: 18px;
    text-transform: none;
    text-align: center;
    margin-bottom: 48px;
}

.section .footer-card{
    background: linear-gradient(-15deg, rgba(255, 255, 255, 0.02), rgba(255, 255, 255, 0.08));
    border : 2px solid rgba(255,255,255,.05);
    padding:24px;
    border-radius : 20px;
    margin-bottom: 36px;
}

.footer-card h2{
    font-size: 28px;
    font-weight: bold;
}

.icon-holder{
    background: linear-gradient(-15deg, #DD0343,#FC0E53);
    margin: 20px 0;
    width: 80px;
    height: 80px;
    border-radius : 20px;
    box-shadow: 0 0 10px 0 rgba(0,0,0,.2);
}

.icon-holder i {
    font-size: 36px;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.helper,
.footer{
    padding : 48px 0;
}

.helper p{
    font-size: 0.95rem;
    font-weight: 400;
}

.footer{
    background: black;
    padding-bottom: 20px;
    position: relative;
    overflow: hidden;
}

.footer h2{
    font-size: 30px;
    font-weight: 700;
    color: #ffa600;
    margin: 0;
}

.footer h4{
    margin: 0;
    font-size: 15px;
}

.footer p{
    margin-top: 20px;
    color: rgba(255, 255, 255, .7);
}

.footer-title{
    border-left: 8px solid #ffa600;
    padding-left: 18px;
}

.brands,
.quick-links {
    margin:36px 0;
}

.brands h4,
.quick-links h4{
    font-size: 18px;
    color: #ffa800;
    font-weight: 600;
    padding-bottom: 8px;
    border-bottom: 1px solid #ffa800;
    display: inline-block;
}

.brands ul,
.quick-links ul{
    padding: 0;
    margin-top: 12px;
}

.brands .sites,
.quick-links .links{
    list-style: none;
    padding: 0;
}

.brands .sites{
    column-count: 3;
    column-gap: 2rem; 
}

.brands .sites li,
.quick-links .links li{
    list-style-type: none;
    margin: 0;
    break-inside: avoid;
    margin-bottom: 8px;
}

.brands .sites li a,
.quick-links .links li a{
    text-decoration: none;
    font-size: 14px;
    color: rgba(255,255,255,.9);
}

.copyright{
    font-size: 0.8rem;
    color: #ffffff !important;
}


@media (min-width: 768px) {
    .brand-holder > * {
        flex: 0 0 calc(20% - 7px); /* 5 columns */
    }

    .footer-card-holder{
        display: flex;
        flex-direction: row;
        gap : 20px;
    }

    .footer-card{
        flex: 1;
    }

    .brand-img{
        height: 90%;
        object-fit: contain;
    }

    .brand-item{
        height: 230px;
    }

    .brand-holder p{
        font-size: 16px;
    }

    .carousel-item {
        height: 760px;
    }

    .mobile{
        display: none;
    }

    .copyright-holder{
        display: flex;
    }

    .copyright-holder p{
        flex:1;
    }

    .links.desktop{
        display: flex;
        gap:20px;
    }

    .links.desktop li{
        list-style-type: none;
    }

    .links.desktop li a{
        text-decoration: none ;
        color : #ffa800;
    }
}

/* Tablet (e.g., iPads) */
@media (max-width: 991.98px) {
    body {
      background-position: -50px;
    }
  }
  
  /* Phone (e.g., mobile devices) */
@media (max-width: 575.98px) {
    body {
        background-position: -50px;
    }
    #glassCarousel {
        width: 100vw !important; /* full viewport width */
        margin-left: calc(-50vw + 50%); /* offset the container's margin */
    }

    .desktop{
        display: none;
    }
}